Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sdb.junit
Class TextListener2

    java.lang.Object
      org.junit.runner.notification.RunListener
          org.junit.internal.TextListener
              sdb.junit.TextListener2

    public class TextListener2

extends org.junit.internal.TextListener

Constructor Summary
`TextListener2(PrintStream writer)`

Method Summary
`void` | `testFailure(org.junit.runner.notification.Failure failure)`
`void` | `testIgnored(org.junit.runner.Description description)`
`void` | `testRunStarted(org.junit.runner.Description description)`
`void` | `testStarted(org.junit.runner.Description description)`

Methods inherited from class org.junit.internal.TextListener
`testRunFinished`

Methods inherited from class org.junit.runner.notification.RunListener
`testAssumptionFailure, testFinished`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextListener2

    public TextListener2(PrintStream writer)

Method Detail

### testRunStarted

    public void testRunStarted(org.junit.runner.Description description)

  Overrides:
    `testRunStarted` in class `org.junit.runner.notification.RunListener`

### testStarted

    public void testStarted(org.junit.runner.Description description)

  Overrides:
    `testStarted` in class `org.junit.internal.TextListener`

### testFailure

    public void testFailure(org.junit.runner.notification.Failure failure)

  Overrides:
    `testFailure` in class `org.junit.internal.TextListener`

### testIgnored

    public void testIgnored(org.junit.runner.Description description)

  Overrides:
    `testIgnored` in class `org.junit.internal.TextListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.